// Options

$enable-rounded:            false;
$enable-shadows:            false;
$enable-gradients:          false;
$enable-transitions:        true;
$enable-hover-media-query:  true;
$enable-grid-classes:       true;
$enable-print-styles:       true;


// Grid settings
$main-sm-columns:       12;
$sidebar-sm-columns:    4;

// Colors
$brand-primary: #0077ea;
$brand-danger: #e91923;
$brand-info: #3fb4cb;
$brand-warning: #fcae21;
$brand-success: #1e7000;

$gray-dark: #3c3c3c;
$gray: #b9b9b9;
$bg-gray: #ecefe9;

$faded: #f1f1f3;

// Colon Colors
$blue-colon: #0a4678;
$green-colon: #00b0b2;
$orange: #f65200;
$yellow: #ffd700;

// Garcinia Colors
// $green-garcinia-dark: #1e7000;
$green-garcinia: #009f00;

// Spacing

$spacer:   5px;

// Body

$body-bg:       #fff;
$body-color:    #818181;

// Links

$link-color:            $brand-primary;
$link-decoration:       none;
$link-hover-color:      darken($link-color, 15%);
$link-hover-decoration: none;


// Fonts

$font-family-sans-serif: 'Lato', sans-serif;
$font-family-base:       $font-family-sans-serif;
$font-size-base: 16px;
$list-inline-padding: 0px;

// Vendor variables

$fa-font-path:          '../../assets/fonts';

// Slick

$slick-font-path: "./fonts/" !default;
$slick-font-family: "slick" !default;
$slick-loader-path: "../images/" !default;
$slick-arrow-color: white !default;
$slick-dot-color: black !default;
$slick-dot-color-active: $slick-dot-color !default;
$slick-prev-character: "\2190" !default;
$slick-next-character: "\2192" !default;
$slick-dot-character: "\2022" !default;
$slick-dot-size: 6px !default;
$slick-opacity-default: 0.75 !default;
$slick-opacity-on-hover: 1 !default;
$slick-opacity-not-active: 0.25 !default;

// Buttons
//
// For each of Bootstrap's buttons, define text, background and border color.

$btn-padding-x:                  2rem;
// $btn-padding-y:                  .5rem !default;
// $btn-line-height:                1.25 !default;
// $btn-font-weight:                $font-weight-normal !default;
// $btn-box-shadow:                 inset 0 1px 0 rgba($white,.15), 0 1px 1px rgba($black,.075) !default;
$btn-focus-box-shadow:           0;
// $btn-active-box-shadow:          inset 0 3px 5px rgba($black,.125) !default;

// $btn-primary-color:              $white !default;
// $btn-primary-bg:                 $brand-primary !default;
// $btn-primary-border:             $btn-primary-bg !default;

$btn-secondary-color:            #0a4779;
$btn-secondary-bg:               #00fcff;
$btn-secondary-border:           #00fcff;

// $btn-info-color:                 $white !default;
// $btn-info-bg:                    $brand-info !default;
// $btn-info-border:                $btn-info-bg !default;

$btn-success-color:              $white;
$btn-success-bg:                 $brand-success;
$btn-success-border:             $btn-success-bg;

$btn-warning-bg:                 $brand-warning;
$btn-warning-border:             $brand-warning;

$btn-danger-color:               $white;
$btn-danger-bg:                  $brand-danger;
$btn-danger-border:              $btn-danger-bg;

// $btn-link-disabled-color:        $gray-light !default;

$btn-padding-x-sm:               .5rem !default;
$btn-padding-y-sm:               .25rem !default;

$btn-padding-x-lg:               1.5rem !default;
$btn-padding-y-lg:               .75rem !default;

$btn-block-spacing-y:            .5rem !default;
$btn-toolbar-margin:             .5rem !default;

// Allows for customizing button radius independently from global border radius
$btn-border-radius:              $border-radius !default;
$btn-border-radius-lg:           $border-radius-lg !default;
$btn-border-radius-sm:           $border-radius-sm !default;

$btn-transition:                 all .2s ease-in-out !default;

$spacer:   5px;
$spacer-x: $spacer;
$spacer-y: $spacer;
$spacers: (
  0: (
    x: 0,
    y: 0
  ),
  1: (
    x: ($spacer-x),
    y: ($spacer-y)
  ),
  2: (
    x: ($spacer-x + 5),
    y: ($spacer-y + 5)
  ),
  3: (
    x: ($spacer-x + 10),
    y: ($spacer-y + 10)
  ),
  4: (
    x: ($spacer-x + 15),
    y: ($spacer-y + 15)
  ),
  5: (
    x: ($spacer-x * 6),
    y: ($spacer-y * 6)
  ),
  6: (
    x: ($spacer-x * 12),
    y: ($spacer-y * 12)
  )
);


// Navs

// $nav-item-margin:               .2rem !default;
// $nav-item-inline-spacer:        1rem !default;
$nav-link-padding:              10px 10px;
// $nav-link-hover-bg:             $gray-lighter !default;
// $nav-disabled-link-color:       $gray-light !default;

// Forms

$input-border-focus:             transparent;
$input-box-shadow-focus:         $input-box-shadow, rgba($input-border-focus, .6) !default;
$input-color:                    $body-color;


// Mixins

@mixin grayscale_element($value) {
  -webkit-filter: #{"grayscale(#{$value})"};
  -moz-filter: #{"grayscale(#{$value})"};
  filter:#{"grayscale(#{$value})"};
}
